package org.xbib.interlibrary.elasticsearch.sru;

import java.io.IOException;
import org.xbib.interlibrary.action.sru.SearchRetrieveService;
import org.xbib.interlibrary.action.sru.SearchRetrieveServiceProvider;
import org.xbib.interlibrary.api.action.ServiceArguments;

public class ElasticsearchSearchRetrieveServiceProvider implements SearchRetrieveServiceProvider {

    private static final TransportClientHelper helper = new TransportClientHelper();

    @Override
    public SearchRetrieveService createService(ServiceArguments arguments) throws IOException {
        return new ElasticsearchSearchRetrieveService(arguments, helper.createSearchClient(arguments));
    }
}
